{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist, set_list_box_data, security_err_msg\r\ndeclare function send_event, set_property, end_window, security_check\r\ndeclare function center_window, fieldcount, msg\r\n$insert security_rights_equ\r\n$insert rlist_equates\r\n$insert lsl_common\r\n$insert msg_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nKeys = field( CreateParam, '*', 1 )\r\nif Keys then\r\n   if fieldcount( Keys, @vm ) > 1 then\r\n       * need to send to qbf\r\n\t   convert @vm to @fm in Keys\r\n\t   Void = set_property( @window, 'QBFLIST', Keys )\r\n\t   Void = set_property( @window, '@NoRead', 1 )\r\n\t   .problem_id->text = Keys<1> \r\n\t   Void = send_event( @window, 'READ' )\r\n\t   Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       .problem_id->text = Keys\r\n       Void = send_event( @window:'.PROBLEM_ID', 'LOSTFOCUS', '' )\r\n   end\r\nend \r\n\r\nif security_check( 'React Probs', Read$ ) then\r\n   set_list_box_data( @window )\r\nend else\r\n   security_err_msg( 'React Probs', Read$ )\r\n   Void = end_window( @window, '' )\r\n   return 0\r\nend\r\nif security_check( 'React Probs', Edit$ ) else\r\n   security_err_msg( 'React Probs', Edit$ )\r\nend\r\nRETURN 0"
        }
    }
}